Kerbal Space Program - Feedback #16444

Sun visible through Jool
11/07/2017 09:37 PM - Gotbread

Status: Closed

Severity: Low

Assignee:

Category: Camera

Target version: 1.5.1

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

When flying around in the Jool system, instead of the Sun being occluded by Jool it keeps visible, which looks strange.
Also happens in map view.

It does only happen if i have the camera focus on the craft. If the focus is on Jool it does not happen and looks as
it should.

History

#1 - 05/19/2018 01:59 AM - jclovis3

- Expansion Core Game added

| think this is because Jool has no surface. Bug #18989

#2 - 08/16/2018 09:13 PM - just_jim

- Status changed from New to Confirmed

Yes, confirmed. | put a ship into High Jool Orbit, time advanced, and observed Kerbol showing through Jool the entire time it was supposed to be
occluded.

If one is using debug "Set Orbit" a distance of 93550000 above Jool should be sufficient to reproduce the bug.
#4 - 01/18/2019 11:58 PM - nestor

- Status changed from Confirmed to Ready to Test

- Target version set to 1.5.1

#5 - 03/17/2019 07:04 PM - Anth12
- Status changed from Ready to Test to Resolved

Fixed as of 1.5.1, 1.6.1 is good too.

https://youtu.be/[Y4IbSNbh00

#6 - 03/28/2019 03:31 AM - joshua.collins

- Status changed from Resolved to Closed
